import json

def load_reference_motion(fn, y_up=True):
    """ Load a reference motion in the format of the Motion Imitation codebase
    in PyBullet. 

    """

    with open(fn, "r") as f:
        data = json.load(f)

    return data

if __name__ == "__main__":
    import numpy as np
    data = load_reference_motion("reference_canter.txt")

    print(data["LoopMode"])
    print(np.array(data["Frames"]).shape)

